import 'package:auto_route/auto_route.dart';
import 'package:smart_hotel_app/routes/app_router.gr.dart'; 
import 'package:smart_hotel_app/views/report/rule/rule_management_view.dart';
import 'package:smart_hotel_app/views/report/device/device_list_view.dart';
import 'package:smart_hotel_app/views/home/inspection_topology/inspection_topology_view.dart';

@AutoRouterConfig(replaceInRouteName: 'View,Route')
class AppRouter extends $AppRouter {
  @override
  RouteType get defaultRouteType =>
      const RouteType.material(); //.cupertino, .adaptive ..etc

  @override
  List<AutoRoute> get routes => [
        AutoRoute(page: LoginRoute.page, initial: true),
        AutoRoute(
          page: DefaultLayoutRoute.page,
          children: [
            AutoRoute(page: HomeRoute.page, initial: true),
            AutoRoute(page: ServiceIndexRoute.page),
            AutoRoute(page: ReportIndexRoute.page),
            AutoRoute(page: ProfileRoute.page),
          ],
        ),
        AutoRoute(page: SearchRoute.page),
        AutoRoute(page: AbnormalDetailRoute.page),
        AutoRoute(page:DeviceDetailRoute.page),
        AutoRoute(page: ServiceRoomDetailRoute.page),
        AutoRoute(page: ReportEnergyDetailRoute.page),
        AutoRoute(page: ReportRoomDetailRoute.page),
        AutoRoute(page: ServiceDeviceDetailRoute.page),
        AutoRoute(page: InspectionDetailRoute.page),
        AutoRoute(page: InspectionDeviceRoute.page),
        AutoRoute(page: InspectionHistoryRoute.page),
        AutoRoute(page: AbnormalListRoute.page),
        AutoRoute(page: ReportRuleManagementRoute.page),
        AutoRoute(page: ReportDeviceListRoute.page),
        AutoRoute(page: InspectionTopologyRoute.page),
      ];
}
